<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>{% block title %}Game Store{% endblock %}</title>
  {% block script %}{% endblock %}
  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static "style.css"%}" />
</head>
<body>
  <div class='content'>
    {% block header %}
      <header class='flex-container'>
        {% if user.is_authenticated %}
          Hi {{ user.username }}!
          <nav>
            {% if perms.WSD_Game_Store.view_game %}
              <a href="{% url 'games' %}">Games</a>
            {% endif %}
            {% if perms.WSD_Game_Store.buy_game %}
              <a href="{% url 'bought-games' %}">Bought Games</a>
            {% endif %}
            {% if perms.WSD_Game_Store.add_game %}
              <a href="{% url 'developed-games' %}">Developed Games</a>
            {% endif %}
          </nav>
          <div class='empty-flex-item'></div>
          <a href="{% url 'logout' %}">Logout</a>
        {% endif %}
      </header>
      <hr />
    {% endblock %}
    <main>
      {% block content %}
      {% endblock %}
    </main>
  </div>
</body>
</html>
